#!/usr/bin/awk

BEGIN {
    FS="|";
    OFS=",";
    print "latitude, longitude, rssi, rssi_color";
}
{
    if ($11==-2.0) next;
    if ($7>-90) a="green";
    if ($7>-80) a="yellow";
    if ($7>-70) a="orange";
    if ($7>-60) a="red";
    print $11,$12,$7,a;
}